# circuits.core.debugger module

Debugger component used to debug each event in a system by printing each event to sys.stderr or to a Logger Component instance.

class circuits.core.debugger.Debugger(*args, **kwargs)

  Bases: `BaseComponent`

  Create a new Debugger Component

  Creates a new Debugger Component that listens to all events in the system printing each event to sys.stderr or a Logger Component.

  Variables:

    - IgnoreEvents – list of events (str) to ignore

    - IgnoreChannels – list of channels (str) to ignore

    - enabled – Enabled/Disabled flag

  Parameters:

    log – Logger Component instance or None (default)

  Initializes x; see x.__class__.__doc__ for signature

  IgnoreEvents = ['generate_events']
  IgnoreChannels = []